#
# spec file for package zinf (Version 2.2.4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel arts arts-devel audiofile esound esound-devel freetype gdk-pixbuf gdk-pixbuf-devel glib glib-devel gpp gtk gtk-devel id3lib id3lib-devel indent libgpp libmusicbrainz libmusicbrainz-devel libogg libogg-devel libvorbis libvorbis-devel nasm orbit orbit-devel pkgconfig update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel arts arts-devel audiofile autoconf automake binutils cracklib esound esound-devel fontconfig fontconfig-devel freetype gcc gcc-c++ gdbm gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel gnome-filesystem gtk gtk-devel id3lib id3lib-devel indent libmusicbrainz libmusicbrainz-devel libogg libogg-devel libstdc++-devel libtool libvorbis libvorbis-devel nasm orbit orbit-devel perl pkgconfig rpm update-desktop-files

Name:         zinf
Summary:      digital audio player
Version:      2.2.4
Release:      150
License:      GPL
Group:        Productivity/Multimedia/Sound/Players
Autoreqprov:  on
Provides:     freeamp
Obsoletes:    freeamp
URL:          http://www.zinf.org/
Source:       %{name}-%{version}.tar.bz2
Source1:      %{name}.desktop
Patch0:       %{name}-%{version}.patch
Patch1:       %{name}-%{version}-ia64.patch
Patch2:       playlist.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Zinf is an Open Source effort to build the best digital audio player
available. In the interest of supporting the free software community,
while at the same time fostering the growth of the online delivery of
music, GoodNoise Corporation, The Internet Record Company, is funding
both the Zinf.org domain and the efforts of three developers: Mark B.
Elrod, Brett Thomas, and Jason Woodward. In past this player had name
FreeAmp.



Authors:
--------
    Mark B. Elrod <freeamp-features@freeamp.org>
    Brett Thomas <freeamp-features@freeamp.org>
    Jason Woodward <freeamp-features@freeamp.org>

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{?suse_update_config:%{suse_update_config -f config}}
gettextize -f
libtoolize -f
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
        --mandir=%{_mandir} \
        --infodir=%{_infodir} \
	--enable-shared --disable-static \
        --enable-esd \
%ifnarch %ix86
        --disable-x86opts \
%endif
	--enable-cmdline \
	--enable-ipv6 \
	--enable-corba \
	--enable-rio
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
( cd $RPM_BUILD_ROOT/usr/lib/zinf/plugins ; ln -s zinf-ui zinf.ui )
%suse_update_desktop_file -i %name GTK AudioVideo Player

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README*
/usr/share/applications/%name.desktop
/usr/bin/*
/usr/lib/zinf
/usr/share/zinf

%changelog -n zinf
* Thu Oct 07 2004 - sbrabec@suse.cz
- Fixed buffer overflow in playlist (Luigi Auriemma, #46221).
* Fri Aug 15 2003 - adrian@suse.de
- fix my last change, sorry
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Tue Aug 12 2003 - sbrabec@suse.cz
- Updated to version 2.2.4.
- Turned on CORBA support.
* Tue Aug 12 2003 - ro@suse.de
- updated neededforbuild musicbrainz->libmusicbrainz
* Tue Jul 29 2003 - ro@suse.de
- only move files if necessary
* Tue Apr 15 2003 - ro@suse.de
- added provides for old package name
* Tue Apr 15 2003 - sbrabec@suse.cz
- Package renamed to zinf.
- Updated to zinf version 2.2.2.
- FHS fix (everything to /usr).
- Autoconf and DESTDIR fixes.
* Sat Nov 02 2002 - schwab@suse.de
- Add missing char_traits specialisation.
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Thu Jan 24 2002 - pmladek@suse.cz
- fixed suse_update_config to work with right directory
* Tue Jan 15 2002 - pmladek@suse.cz
- updated to version 2.1.1:
  * fixed crashes during sigging process
  * fixed Vorbis playback to work with Vorbis RC2
  * added a better musicbrainz library missing error message
  * added John Cantrrill's WAV LMC
  * fixed the streaming http redirect to work for more general
  (not just dot notation) URLS
  * fixed some track move and drag and drop issues in the playlist
  manager for Linux
- removed obsolete patch fot gcc3.0
- removed *.mp3 from sources to prevent potential license problems !!!
* Tue Dec 04 2001 - pmladek@suse.cz
- temporary disabled alsa support to fix building
* Fri Jul 20 2001 - pmladek@suse.cz
- updated to stable version 2.1.0
- fixed list of include direcories in Makefile
* Tue Jul 17 2001 - schwab@suse.de
- Fix for gcc 3.0.
* Sat Jun 23 2001 - schwab@suse.de
- Fix invalid casts.
- Fix invalid delete.
* Wed Jun 13 2001 - schwab@suse.de
- Fix for new autoconf.
* Wed May 23 2001 - pmladek@suse.cz
- fixed include files on ia64
- fixed newline at end of file lmc/xingmp3/include/itype.h
* Tue Mar 20 2001 - schwab@suse.de
- Remove some stupid casts.
- Fix types.
* Wed Mar 14 2001 - nadvornik@suse.cz
- updated to 2.1.rc6
- fixed neededforbuild
* Mon Dec 04 2000 - smid@suse.cz
- file permissions fixed
* Sat Dec 02 2000 - smid@suse.cz
- neededforbuild fixed
* Fri Dec 01 2000 - kukuk@suse.de
- Add gpp and libgpp to neededforbuild (needed by configure script)
* Fri Dec 01 2000 - smid@suse.cz
- new version: 2.1.rc5
* Mon Nov 13 2000 - ro@suse.de
- don't play games with socklen_t
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Sep 14 2000 - ro@suse.de
- up to beta8
* Wed Jun 07 2000 - kukuk@suse.de
- Remove xpm from Requires, there is no xpm package any longer
* Wed Jun 07 2000 - cihlar@suse.cz
- update to version 2.1beta3 - works with alsa 0.5.8
* Thu Jun 01 2000 - cihlar@suse.cz
- update to version 2.0.7
* Mon Jan 31 2000 - uli@suse.de
- fixed bad c++ code on Big-Endian archs
* Fri Oct 08 1999 - rolf@suse.de
- new version 1.3.1
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - uli@suse.de
- fixed stupid bug preventing compilation on Big Endian systems
* Thu Dec 17 1998 - rolf@suse.de
- first version for SuSE-Linux
